#include <iostream>
#include <print>

import Sort;
import Address;

// Anzahl der Feldelemente
constexpr int aSize = 4;

int main()
{
    // Feld fuer 4 Adressen dyn. anlegen und
    // mit Adressdaten initialisieren
    Address *pAddress = new Address[aSize]
    {
        Address{"Karl Maier","AStadt"},
        Address{"Agathe Mueller", "XDorf"},
        Address{"Xaver Lehmann", "CHausen"},
        Address{"Berta Schmitt", "FStadt"}
    };


    // Unsortierte Adressen ausgeben
    std::println("Adressen unsortiert:");
    for (auto index=0; index<aSize; index++)
        std::cout << pAddress[index];

    // Adresse sortieren
    Sort(pAddress,aSize);

    // Sortierte Adressen ausgeben
    std::println("Adressen sortiert:");
    for (auto index=0; index<aSize; index++)
        std::cout << pAddress[index];

    // Belegten Speicher auch wieder freigeben!
    delete [] pAddress;
}
